<template>
  <div class="home">
    <Header/>
      <main>
          <Jumbotron/>
          <Banner/>
          <div class="container mt-5 mb-5">
            <div class="d-flex justify-content-between" v-if="!loading">
                <h2 class="mb-4">Blogs Trending</h2>
                <router-link to="/blogs" class="mb-4 btn btn-md btn-success text-white p-2" 
                             style="font-size: 14px !important;">
                    Lihat Semua Blogs
                </router-link>
            </div>
            <div>
              <LoadingBuble v-if="loading"/>
            </div>
            <div class="row" >
                <Card v-for="blog in blogs" :key="blog.id" :blog="blog"> </Card>
            </div>    
          </div>  
          <!-- <button @click="increment(10)" class="btn btn-primary p-2">Tambah</button>  
          <span>{{ count }}</span>       -->
      </main> 
    <Footer/> 
  </div>
</template>

<script>
import Header from '@/components/Header.vue'
import Jumbotron from '@/components/Jumbotron.vue'
import Banner from '@/components/Banner.vue'
import Card from '@/components/Card.vue'
import Footer from '@/components/Footer.vue'
import LoadingBuble from '@/components/Loading2.vue'
import axios from 'axios'
// import swal from 'sweetalert';

// import { mapGetters, mapMutations  } from 'vuex'

export default {
  name: 'Home',
  components: {
    Header,
    Jumbotron,
    Banner,
    Card,
    Footer,
    LoadingBuble,
  },
  data: () => ({
    apiDomain: 'https://demo-api-vue.sanbercloud.com',
    blogs: [],
    loading:false,
  }),

  methods: {
    async go() {
        // console.log(this.$store.state.count)
        this.loading = true
          const config = {
          method: 'get',
          url : this.apiDomain + '/api/v2/blog/random/12'
        }

      await axios(config)      
        .then((response) => {
            let { blogs } = response.data;
            this.blogs = blogs;
            this.loading = false
            // console.log(response.data)
            // swal({
            //   title: "Selamat Datang",
            //   button: "Close",
            //   timer: 2500,
            // });
            // console.log(response.data);
        })
      
        .catch((error) => {
          console.log(error);
        })
    },

    // increment(payload) {
    //   this.$store.commit('increment', payload)
    // }

    // ...mapMutations({
    //   'increment' : 'counter/increment',
    // }),    
  },

  computed: {
    // count() {
    //   return this.$store.getters.count
    // }

    // ...mapGetters({
    //   // 'nama objek di vue kita' : 'nama getter di store getters
    //   'count': 'counter/count'
    // })
  },

  created() {
     this.go()
  },

  mounted() {
    document.title = 'HOME'
  }
}
</script>





